﻿@model AEWeb.ViewModels.User.ApplicationUserListViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "List of users";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"] @Model.Role.Name</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">

            <div class="ibox">
                <div class="ibox-title">
                    
                    <form role="form" action="@Url.Action("AddUserInRole","Role")" method="post">
                        <div class="row">
                            <div class="col-md-4">
                                @(Html.Kendo().ComboBoxFor(m => m.SelectedUserId)
                                  .Placeholder("Type letters in user name or lastname")
                                  .DataTextField("fullName")
                                  .DataValueField("id")
                                  .HtmlAttributes(new { style = "width:100%;" })
                                  .Template("#= fullName #")
                                  .Filter(FilterType.Contains)
                                  .AutoBind(false)
                                  .MinLength(3)
                                  .DataSource(source =>
                                  {
                                      source.Read(read =>
                                      {
                                          read.Action("GetUsersBySearchJSON", "User");
                                      })
                                      .ServerFiltering(true);
                                  })
                                )
                            </div>
                            @Html.HiddenFor(m => m.Role.Id)
                            <div class="col-md-2">
                                <button type="submit" class="btn btn-default btn-sm">Add user</button>
                            </div>

                            <div class="col-md-4"></div>
                            <div class="col-md-2">
                                <a asp-action="Index">Back to Roles</a>
                            </div>
                        </div>
                    </form>                    
                </div>
                <div class="ibox-content">
                    <div class="table-responsive">
                        <div id="DataTables_Table_0_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap4">

                            <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                 aria-live="polite">
                                @Html.Raw(Model.MessageNumberEntries)
                            </div>

                            <table class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                    <tr>
                                        <th>
                                            Delete
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].FirstName)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].LastName)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].Username)
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model.Users.Count > 0)
                                    {
                                        foreach (var item in Model.Users)
                                        {
                                    <tr>
                                        <td>
                                            <a asp-action="RemoveUser" class="text-decoration-none">
                                                <i class="fa fa-trash-o"></i>
                                            </a>
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.FirstName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.LastName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Username)
                                        </td>
                                    </tr>
                                        }
                                    }
                                    else
                                    {
                                    <tr>
                                        <td colspan="5" class="text-center">
                                            No users in role
                                        </td>
                                    </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
